Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.plugins.cmp.jdbc.metadata
Class JDBCApplicationMetaData

    java.lang.Object
      org.jboss.ejb.plugins.cmp.jdbc.metadata.JDBCApplicationMetaData

public final class JDBCApplicationMetaData
extends Object

This immutable class contains information about the application

Version:
  $Revision: 1.23 $
Author:
  Dain Sundstrom, Sebastien Alborini, Alexey Loubyansky

Constructor Summary
`JDBCApplicationMetaData(ApplicationMetaData applicationMetaData, ClassLoader classLoader)` Constructs jdbc application meta data with the data from the applicationMetaData.
`JDBCApplicationMetaData(Element element, JDBCApplicationMetaData defaultValues)` Constructs application meta data with the data contained in the jboss-cmp xml element from a jbosscmp-jdbc xml file.

Method Summary
`JDBCEntityMetaData` | `getBeanByEjbName(String name)` Gets the metadata for an entity bean by name.
`ClassLoader` | `getClassLoader()` Gets the classloader for this application which is used to load all classes.
`JDBCEntityCommandMetaData` | `getEntityCommandByName(String name)` Gets the entity command with the specified name
`Collection` | `getRolesForEntity(String entityName)` Gets the relationship roles for the entity with the specified name.
`JDBCTypeMappingMetaData` | `getTypeMappingByName(String name)` Gets the type mapping with the specified name
`Map` | `getUserTypeMappings()`
`Collection` | `getValueClasses()` Gets dependent value classes that are directly managed by the container.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JDBCApplicationMetaData

    public JDBCApplicationMetaData(ApplicationMetaData applicationMetaData,
                                   ClassLoader classLoader)
                            throws org.jboss.deployment.DeploymentException

  Constructs jdbc application meta data with the data from the applicationMetaData.

Parameters:
  `applicationMetaData` - the application data loaded from the ejb-jar.xml file
  `classLoader` - the ClassLoader used to load the classes of the application
Throws:
  `org.jboss.deployment.DeploymentException` - if an problem occures while loading the classes or if data in the ejb-jar.xml is inconsistent with data from jbosscmp-jdbc.xml file

### JDBCApplicationMetaData

    public JDBCApplicationMetaData(Element element,
                                   JDBCApplicationMetaData defaultValues)
                            throws org.jboss.deployment.DeploymentException

  Constructs application meta data with the data contained in the jboss-cmp xml element from a jbosscmp-jdbc xml file. Optional values of the xml element that are not present are loaded from the defalutValues parameter.

Parameters:
  `element` - the xml Element which contains the metadata about this application
  `defaultValues` - the JDBCApplicationMetaData which contains the values for optional elements of the element
Throws:
  `org.jboss.deployment.DeploymentException` - if the xml element is not semantically correct

Method Detail

### getTypeMappingByName

    public JDBCTypeMappingMetaData getTypeMappingByName(String name)

  Gets the type mapping with the specified name

  Parameters:
    `name` - the name for the type mapping
  Returns:
    the matching type mapping or null if not found

### getRolesForEntity

    public Collection getRolesForEntity(String entityName)

  Gets the relationship roles for the entity with the specified name.

  Parameters:
    `entityName` - the name of the entity whos roles are returned
  Returns:
    an unmodifiable collection of JDBCRelationshipRoles of the specified entity

### getValueClasses

    public Collection getValueClasses()

  Gets dependent value classes that are directly managed by the container.

### getClassLoader

    public ClassLoader getClassLoader()

  Gets the classloader for this application which is used to load all classes.

  Returns:
    the ClassLoader for the application

### getBeanByEjbName

    public JDBCEntityMetaData getBeanByEjbName(String name)

  Gets the metadata for an entity bean by name.

  Parameters:
    `name` - the name of the entity meta data to return
  Returns:
    the entity meta data for the specified name

### getEntityCommandByName

    public JDBCEntityCommandMetaData getEntityCommandByName(String name)

  Gets the entity command with the specified name

  Parameters:
    `name` - the name for the entity-command
  Returns:
    the matching entity command or null if not found

### getUserTypeMappings

    public Map getUserTypeMappings()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.